Kerbal Space Program - Bug #1144

Loss of control of pitch down and roll left when SAS is active and when playing with a Xbox 360
gamepad, axes bound to joysticks (pitch left, roll right).

07/27/2013 07:12 AM - Coloneljesus

Status: Closed Start date: 07/27/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.21.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

This worked perfectly in .20.

Pitch up and roll right work fine.

Works fine if SAS is turned off. Also works fine with keyboard.

Yaw works fine.

Bug appears with all four of the SAS modules (incl. avionics). Works fine with no module but SAS enabled.

History

#1 - 07/27/2013 11:44 AM - Anonymous

- Severity changed from Urgent to Low

#2 - 07/27/2013 11:49 AM - Hyratel

You need to increase the deadzone in the joystick mappings. there is no perfect joystick, and the sticks on game console pads are especially bad.
they wiggle in the center and this is enough to cause the inputs from them to override the SAS hold

#3 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/07/2016 12:06 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
